Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Dimension

    java.lang.Object
      |
      +--java.awt.geom.Dimension2D
            |
            +--java.awt.Dimension

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  DimensionUIResource

public class Dimension
extends Dimension2D
implements Serializable

The `Dimension` class encapsulates the width and height of a component (in integer precision) in a single object. The class is associated with certain properties of components. Several methods defined by the `Component` class and the `LayoutManager` interface return a `Dimension` object.

Normally the values of `width` and `height` are non-negative integers. The constructors that allow you to create a dimension do not prevent you from setting a negative value for these properties. If the value of `width` or `height` is negative, the behavior of some methods defined by other objects is undefined.

Since:
  JDK1.0
See Also:
  `Component`, `LayoutManager`, Serialized Form

Field Summary
`int` | `height` The height dimension.
`int` | `width` The width dimension.

Constructor Summary
`Dimension()` Creates an instance of `Dimension` with a width of zero and a height of zero.
`Dimension(Dimension d)` Creates an instance of `Dimension` whose width and height are the same as for the specified dimension.
`Dimension(int width, int height)` Constructs a Dimension and initializes it to the specified width and specified height.

Method Summary
`boolean` | `equals(Object obj)` Checks whether two dimension objects have equal values.
`double` | `getHeight()` Returns the height of this dimension in double precision.
`Dimension` | `getSize()` Gets the size of this `Dimension` object.
`double` | `getWidth()` Returns the width of this dimension in double precision.
`int` | `hashCode()` Returns the hash code for this Dimension.
`void` | `setSize(Dimension d)` Set the size of this `Dimension` object to the specified size.
`void` | `setSize(double width, double height)` Set the size of this Dimension object to the specified width and height in double precision.
`void` | `setSize(int width, int height)` Set the size of this `Dimension` object to the specified width and height.
`String` | `toString()` Returns a string representation of the values of this `Dimension` object's `height` and `width` fields.

Methods inherited from class java.awt.geom.Dimension2D
`clone, setSize`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### width

    public int width

  The width dimension. Negative values can be used.
  See Also:
    `getSize()`, `setSize(double, double)`

### height

    public int height

  The height dimension. Negative values can be used.
  See Also:
    `getSize()`, `setSize(double, double)`

Constructor Detail

### Dimension

    public Dimension()

  Creates an instance of `Dimension` with a width of zero and a height of zero.

### Dimension

    public Dimension(Dimension d)

  Creates an instance of `Dimension` whose width and height are the same as for the specified dimension.
  Parameters:
    `d` - the specified dimension for the `width` and `height` values.

### Dimension

    public Dimension(int width,
                     int height)

  Constructs a Dimension and initializes it to the specified width and specified height.
  Parameters:
    `width` - the specified width dimension
    `height` - the specified height dimension

Method Detail

### getWidth

    public double getWidth()

  Returns the width of this dimension in double precision.
  Overrides:
    `getWidth` in class `Dimension2D`
  Following copied from class: `java.awt.geom.Dimension2D`
  Returns:
    the width of this `Dimension`.

### getHeight

    public double getHeight()

  Returns the height of this dimension in double precision.
  Overrides:
    `getHeight` in class `Dimension2D`
  Following copied from class: `java.awt.geom.Dimension2D`
  Returns:
    the height of this `Dimension`.

### setSize

    public void setSize(double width,
                        double height)

  Set the size of this Dimension object to the specified width and height in double precision.
  Overrides:
    `setSize` in class `Dimension2D`
  Parameters:
    `width` - the new width for the Dimension object
    `height` - the new height for the Dimension object

### getSize

    public Dimension getSize()

  Gets the size of this `Dimension` object. This method is included for completeness, to parallel the `getSize` method defined by `Component`.
  Returns:
    the size of this dimension, a new instance of `Dimension` with the same width and height.
  Since:
    JDK1.1
  See Also:
    `setSize(double, double)`, `Component.getSize()`

### setSize

    public void setSize(Dimension d)

  Set the size of this `Dimension` object to the specified size. This method is included for completeness, to parallel the `setSize` method defined by `Component`.
  Parameters:
    `d` - the new size for this `Dimension` object.
  Since:
    JDK1.1
  See Also:
    `getSize()`, `Component.setSize(int, int)`

### setSize

    public void setSize(int width,
                        int height)

  Set the size of this `Dimension` object to the specified width and height. This method is included for completeness, to parallel the `setSize` method defined by `Component`.
  Parameters:
    `width` - the new width for this `Dimension` object.
    `height` - the new height for this `Dimension` object.
  Since:
    JDK1.1
  See Also:
    `getSize()`, `Component.setSize(int, int)`

### equals

    public boolean equals(Object obj)

  Checks whether two dimension objects have equal values.
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns the hash code for this Dimension.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code for this Dimension.

### toString

    public String toString()

  Returns a string representation of the values of this `Dimension` object's `height` and `width` fields. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this `Dimension` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.